Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	CurlFtpFS is a filesystem for acessing ftp hosts based on FUSE and libcurl.
Name:		curlftpfs
Version:	0.9.2
Release:	1
License:	GNU/GPL
URL:		http://curlftpfs.sourceforge.net/
Group:		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Manual build dependencies
BuildRequires: kernel-devel
BuildRequires: pkgconfig
BuildRequires: curl-devel

#Automatically resolved build dependencies
BuildRequires: fuse-userspace-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libidn-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel

%description
CurlFtpFS is a filesystem for acessing ftp hosts based on FUSE and
libcurl. It automatically reconnects if the server times out.

My motivation to start this project was to learn how to program using
Curl (http://curl.haxx.se) and Fuse (http://fuse.sourceforge.net). I
also wanted to maintain my website (http://www.golaberto.com.br) using
the tools that I was used to, like cd, mv, cp and vim.

As the FTP protocol is not very feature rich, this filesystem does not
fulfill every constraint of a real filesystem, but it should be usable
for simple tasks like copying and editing files.

curlftpfs <ftpsite> <mountpoint>

%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/curlftpfs
%_mandir/man1/curlftpfs.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 12 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.2-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.1-1
- Version update
* Sat Mar 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9-1
- Version Update
* Wed Mar 15 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3-1
- Initial Release
